Index: trunk/autoquest-plugin-uml-test/src/test/resources/deda_model.uml
===================================================================
--- trunk/autoquest-plugin-uml-test/src/test/resources/deda_model.uml	(revision 1927)
+++ trunk/autoquest-plugin-uml-test/src/test/resources/deda_model.uml	(revision 1931)
@@ -15,4 +15,6 @@
         <ownedAttribute xmi:type="uml:Property" xmi:id="_gMtAILwQEeS8kt2gTxQkQg" name="extension">
           <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
+          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_nT1hYM4YEeSxBaXi6j-y9g"/>
+          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_nUEK4M4YEeSxBaXi6j-y9g" value="1"/>
         </ownedAttribute>
       </packagedElement>
@@ -69,5 +71,7 @@
         </packagedElement>
         <packagedElement xmi:type="uml:DataType" xmi:id="_GZLQULwTEeS8kt2gTxQkQg" name="UpdateSemanticSignifierRequest">
-          <ownedAttribute xmi:type="uml:Property" xmi:id="_VO7joLwTEeS8kt2gTxQkQg" name="semantic-signifierName"/>
+          <ownedAttribute xmi:type="uml:Property" xmi:id="_VO7joLwTEeS8kt2gTxQkQg" name="semantic-signifierName">
+            <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
+          </ownedAttribute>
           <ownedAttribute xmi:type="uml:Property" xmi:id="_Z4koQLwTEeS8kt2gTxQkQg" name="RLUSsemantic-signifier" type="_hVXYsLwNEeS8kt2gTxQkQg"/>
         </packagedElement>
@@ -1501,5 +1505,5 @@
         <packagedElement xmi:type="uml:Component" xmi:id="_CrcpgKC4EeSR_swKuhjZ_A" clientDependency="_DQbpILEPEeSPMcTTAQ1qKQ" name="RLUSMetaDataPortType"/>
         <packagedElement xmi:type="uml:Component" xmi:id="_9yN0QKC4EeSR_swKuhjZ_A" name="RLUSMetaDataTestContext"/>
-        <packagedElement xmi:type="uml:Component" xmi:id="_X3xRwKDCEeSR_swKuhjZ_A" name="RLUSTestSuite_1" classifierBehavior="_iCR6QLzXEeSu8bCjKN8_hw">
+        <packagedElement xmi:type="uml:Component" xmi:id="_X3xRwKDCEeSR_swKuhjZ_A" name="RLUSTestSuite_1">
           <ownedAttribute xmi:type="uml:Property" xmi:id="_Heb2YKDDEeSR_swKuhjZ_A" name="rlusService" visibility="public" type="_Aow1gKC3EeSR_swKuhjZ_A">
             <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_LoBh8KDDEeSR_swKuhjZ_A" value="1"/>
@@ -1526,23 +1530,4 @@
             </end>
           </ownedConnector>
-          <ownedBehavior xmi:type="uml:Interaction" xmi:id="_iCR6QLzXEeSu8bCjKN8_hw" name="testcase_1_impl" specification="_R78v4LzXEeSu8bCjKN8_hw">
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_baiRoMDyEeSlO4e8QG-B1g" name="MessageSend" covered="_UYMTYLzYEeSu8bCjKN8_hw" message="_bahqkMDyEeSlO4e8QG-B1g"/>
-            <fragment xmi:type="uml:BehaviorExecutionSpecification" xmi:id="_TowXYMDyEeSlO4e8QG-B1g" name="BehaviorExecSpec" covered="_UYMTYLzYEeSu8bCjKN8_hw" finish="_dKRw8cDyEeSlO4e8QG-B1g" start="_baiRoMDyEeSlO4e8QG-B1g"/>
-            <fragment xmi:type="uml:BehaviorExecutionSpecification" xmi:id="_UNxwAMDyEeSlO4e8QG-B1g" name="BehaviorExecSpec0" covered="_XqBQgLzYEeSu8bCjKN8_hw" finish="_dKRw8MDyEeSlO4e8QG-B1g" start="_bai4sMDyEeSlO4e8QG-B1g"/>
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_bai4sMDyEeSlO4e8QG-B1g" name="MessageRecv" covered="_XqBQgLzYEeSu8bCjKN8_hw" message="_bahqkMDyEeSlO4e8QG-B1g"/>
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_dKRw8MDyEeSlO4e8QG-B1g" name="Message0Send" covered="_XqBQgLzYEeSu8bCjKN8_hw" message="_dKRJ4MDyEeSlO4e8QG-B1g"/>
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_dKRw8cDyEeSlO4e8QG-B1g" name="Message0Recv" covered="_UYMTYLzYEeSu8bCjKN8_hw" message="_dKRJ4MDyEeSlO4e8QG-B1g"/>
-            <lifeline xmi:type="uml:Lifeline" xmi:id="_UYMTYLzYEeSu8bCjKN8_hw" name="TestComponent" represents="_1c1AMKDEEeSR_swKuhjZ_A" coveredBy="_TowXYMDyEeSlO4e8QG-B1g _baiRoMDyEeSlO4e8QG-B1g _dKRw8cDyEeSlO4e8QG-B1g"/>
-            <lifeline xmi:type="uml:Lifeline" xmi:id="_XqBQgLzYEeSu8bCjKN8_hw" name="SUT" represents="_Heb2YKDDEeSR_swKuhjZ_A" coveredBy="_UNxwAMDyEeSlO4e8QG-B1g _bai4sMDyEeSlO4e8QG-B1g _dKRw8MDyEeSlO4e8QG-B1g"/>
-            <message xmi:type="uml:Message" xmi:id="_bahqkMDyEeSlO4e8QG-B1g" name="1:Message" connector="_PuBcEKDFEeSR_swKuhjZ_A" receiveEvent="_bai4sMDyEeSlO4e8QG-B1g" sendEvent="_baiRoMDyEeSlO4e8QG-B1g" signature="_0e4SkKC2EeSR_swKuhjZ_A">
-              <argument xmi:type="uml:InstanceValue" xmi:id="_3mVWkMZkEeSYR7D_AlByKg" name="request" type="_w0vXYKCbEeSR_swKuhjZ_A" instance="_CDZzwLzgEeSu8bCjKN8_hw"/>
-              <argument xmi:type="uml:LiteralNull" xmi:id="_5LrjwMZkEeSYR7D_AlByKg" name="response"/>
-            </message>
-            <message xmi:type="uml:Message" xmi:id="_dKRJ4MDyEeSlO4e8QG-B1g" name="2:Message" connector="_PuBcEKDFEeSR_swKuhjZ_A" messageSort="reply" receiveEvent="_dKRw8cDyEeSlO4e8QG-B1g" sendEvent="_dKRw8MDyEeSlO4e8QG-B1g" signature="_0e4SkKC2EeSR_swKuhjZ_A">
-              <argument xmi:type="uml:InstanceValue" xmi:id="_8EKz0MZkEeSYR7D_AlByKg" name="response" type="_XK8dQKCcEeSR_swKuhjZ_A" instance="_JdHMQLzgEeSu8bCjKN8_hw"/>
-              <argument xmi:type="uml:LiteralNull" xmi:id="_9NqLcMZkEeSYR7D_AlByKg" name="request"/>
-            </message>
-          </ownedBehavior>
-          <ownedOperation xmi:type="uml:Operation" xmi:id="_R78v4LzXEeSu8bCjKN8_hw" name="testcase_1" method="_iCR6QLzXEeSu8bCjKN8_hw"/>
         </packagedElement>
         <packagedElement xmi:type="uml:Component" xmi:id="_JyRr0KDEEeSR_swKuhjZ_A" name="RLUSEnvironment">
@@ -1587,57 +1572,4 @@
         <packagedElement xmi:type="uml:Component" xmi:id="_XvSrQLEVEeSPMcTTAQ1qKQ" clientDependency="_cK23oLEVEeSPMcTTAQ1qKQ" name="RLUSRLPNotesMQPortType"/>
         <packagedElement xmi:type="uml:InterfaceRealization" xmi:id="_cK23oLEVEeSPMcTTAQ1qKQ" name="Realization1" client="_XvSrQLEVEeSPMcTTAQ1qKQ" supplier="_G8nYQLEVEeSPMcTTAQ1qKQ" contract="_G8nYQLEVEeSPMcTTAQ1qKQ"/>
-        <packagedElement xmi:type="uml:Component" xmi:id="_Db-BkMdGEeSYR7D_AlByKg" name="RLUSTestSuite_2" classifierBehavior="_Kj0uoMgCEeSYR7D_AlByKg">
-          <ownedAttribute xmi:type="uml:Property" xmi:id="_Y1zcwMfREeSYR7D_AlByKg" name="rlusService" visibility="public" type="_Aow1gKC3EeSR_swKuhjZ_A">
-            <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_aAcq8MfREeSYR7D_AlByKg" value="1"/>
-            <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_aAcq8cfREeSYR7D_AlByKg" value="1"/>
-            <defaultValue xmi:type="uml:LiteralString" xmi:id="_aAcq8sfREeSYR7D_AlByKg">
-              <value xsi:nil="true"/>
-            </defaultValue>
-          </ownedAttribute>
-          <ownedAttribute xmi:type="uml:Property" xmi:id="_cUFFAMfSEeSYR7D_AlByKg" name="rlusEnvironment" type="_JyRr0KDEEeSR_swKuhjZ_A"/>
-          <ownedConnector xmi:type="uml:Connector" xmi:id="_p7jAQMfSEeSYR7D_AlByKg" name="RLUSRLPNotesMQConnector">
-            <end xmi:type="uml:ConnectorEnd" xmi:id="_p7jnUMfSEeSYR7D_AlByKg" partWithPort="_cUFFAMfSEeSYR7D_AlByKg" role="_M_niEMdGEeSYR7D_AlByKg">
-              <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_p7jnUcfSEeSYR7D_AlByKg" value="1"/>
-              <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_p7jnUsfSEeSYR7D_AlByKg" value="1"/>
-            </end>
-            <end xmi:type="uml:ConnectorEnd" xmi:id="_p7jnU8fSEeSYR7D_AlByKg" partWithPort="_Y1zcwMfREeSYR7D_AlByKg" role="_jlutwLEVEeSPMcTTAQ1qKQ">
-              <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_p7jnVMfSEeSYR7D_AlByKg" value="1"/>
-              <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_p7jnVcfSEeSYR7D_AlByKg" value="1"/>
-            </end>
-          </ownedConnector>
-          <ownedBehavior xmi:type="uml:Interaction" xmi:id="_Kj0uoMgCEeSYR7D_AlByKg" name="rlus_mq_testcase_1" specification="_si1AMMgBEeSYR7D_AlByKg">
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_nBxV8cgCEeSYR7D_AlByKg" name="MessageSend" message="_nBxV8MgCEeSYR7D_AlByKg"/>
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_nBx9AMgCEeSYR7D_AlByKg" name="MessageRecv" message="_nBxV8MgCEeSYR7D_AlByKg"/>
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_pS5EAMgCEeSYR7D_AlByKg" name="MessageSend0" message="_pS4c8MgCEeSYR7D_AlByKg"/>
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_pS5rEMgCEeSYR7D_AlByKg" name="MessageRecv0" message="_pS4c8MgCEeSYR7D_AlByKg"/>
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_tg6joMgCEeSYR7D_AlByKg" name="MessageSend1" message="_tg58kMgCEeSYR7D_AlByKg"/>
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_tg6jocgCEeSYR7D_AlByKg" name="MessageRecv1" message="_tg58kMgCEeSYR7D_AlByKg"/>
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_wIgQ8MgCEeSYR7D_AlByKg" name="MessageSend2" message="_wIfp4MgCEeSYR7D_AlByKg"/>
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_wIgQ8cgCEeSYR7D_AlByKg" name="MessageRecv2" message="_wIfp4MgCEeSYR7D_AlByKg"/>
-            <fragment xmi:type="uml:BehaviorExecutionSpecification" xmi:id="_kAn5IMgCEeSYR7D_AlByKg" name="BehaviorExecSpec0" finish="_pS5EAMgCEeSYR7D_AlByKg" start="_nBx9AMgCEeSYR7D_AlByKg"/>
-            <fragment xmi:type="uml:BehaviorExecutionSpecification" xmi:id="_jJ66oMgCEeSYR7D_AlByKg" name="BehaviorExecSpec" finish="_pS5rEMgCEeSYR7D_AlByKg" start="_nBxV8cgCEeSYR7D_AlByKg"/>
-            <fragment xmi:type="uml:BehaviorExecutionSpecification" xmi:id="_rLm5IMgCEeSYR7D_AlByKg" name="BehaviorExecSpec2" finish="_wIgQ8MgCEeSYR7D_AlByKg" start="_tg6jocgCEeSYR7D_AlByKg"/>
-            <fragment xmi:type="uml:BehaviorExecutionSpecification" xmi:id="_qtnVkMgCEeSYR7D_AlByKg" name="BehaviorExecSpec1" finish="_wIgQ8cgCEeSYR7D_AlByKg" start="_tg6joMgCEeSYR7D_AlByKg"/>
-            <lifeline xmi:type="uml:Lifeline" xmi:id="_Yt95IMgCEeSYR7D_AlByKg" name="environment" represents="_1c1AMKDEEeSR_swKuhjZ_A"/>
-            <lifeline xmi:type="uml:Lifeline" xmi:id="_ZeySEMgCEeSYR7D_AlByKg" name="rlusService" represents="_Heb2YKDDEeSR_swKuhjZ_A"/>
-            <message xmi:type="uml:Message" xmi:id="_nBxV8MgCEeSYR7D_AlByKg" name="1:put" receiveEvent="_nBx9AMgCEeSYR7D_AlByKg" sendEvent="_nBxV8cgCEeSYR7D_AlByKg" signature="_5tRh8Mc1EeSYR7D_AlByKg">
-              <argument xmi:type="uml:InstanceValue" xmi:id="_E4FeYMgDEeSYR7D_AlByKg" name="request" type="_Kv7tUMcYEeSYR7D_AlByKg" instance="_EgFSQMf8EeSYR7D_AlByKg"/>
-              <argument xmi:type="uml:LiteralNull" xmi:id="_G7ncYMgDEeSYR7D_AlByKg" name="response"/>
-            </message>
-            <message xmi:type="uml:Message" xmi:id="_pS4c8MgCEeSYR7D_AlByKg" name="2:putReply" messageSort="reply" receiveEvent="_pS5rEMgCEeSYR7D_AlByKg" sendEvent="_pS5EAMgCEeSYR7D_AlByKg" signature="_5tRh8Mc1EeSYR7D_AlByKg">
-              <argument xmi:type="uml:InstanceValue" xmi:id="_Mj894MgDEeSYR7D_AlByKg" name="response" type="_RAXOQLwPEeS8kt2gTxQkQg" instance="_B1McgMgAEeSYR7D_AlByKg"/>
-              <argument xmi:type="uml:LiteralNull" xmi:id="_NiCWwMgDEeSYR7D_AlByKg" name="request"/>
-            </message>
-            <message xmi:type="uml:Message" xmi:id="_tg58kMgCEeSYR7D_AlByKg" name="3:put2" receiveEvent="_tg6jocgCEeSYR7D_AlByKg" sendEvent="_tg6joMgCEeSYR7D_AlByKg" signature="_5tRh8Mc1EeSYR7D_AlByKg">
-              <argument xmi:type="uml:InstanceValue" xmi:id="_P1dx8MgDEeSYR7D_AlByKg" name="request" type="_Kv7tUMcYEeSYR7D_AlByKg" instance="_EgFSQMf8EeSYR7D_AlByKg"/>
-              <argument xmi:type="uml:LiteralNull" xmi:id="_SKuZIMgDEeSYR7D_AlByKg" name="response"/>
-            </message>
-            <message xmi:type="uml:Message" xmi:id="_wIfp4MgCEeSYR7D_AlByKg" name="4:putReply2" messageSort="reply" receiveEvent="_wIgQ8cgCEeSYR7D_AlByKg" sendEvent="_wIgQ8MgCEeSYR7D_AlByKg" signature="_5tRh8Mc1EeSYR7D_AlByKg">
-              <argument xmi:type="uml:InstanceValue" xmi:id="_Ujve8MgDEeSYR7D_AlByKg" name="response" type="_RAXOQLwPEeS8kt2gTxQkQg" instance="_F3E9kMgAEeSYR7D_AlByKg"/>
-              <argument xmi:type="uml:LiteralNull" xmi:id="_VmcSEMgDEeSYR7D_AlByKg" name="request"/>
-            </message>
-          </ownedBehavior>
-          <ownedOperation xmi:type="uml:Operation" xmi:id="_si1AMMgBEeSYR7D_AlByKg" name="rlus_mq_testcase_1" method="_Kj0uoMgCEeSYR7D_AlByKg"/>
-        </packagedElement>
       </packagedElement>
       <packagedElement xmi:type="uml:Package" xmi:id="_k19qEMDNEeSlO4e8QG-B1g" name="IXS">
@@ -1693,23 +1625,4 @@
             </end>
           </ownedConnector>
-          <ownedBehavior xmi:type="uml:Interaction" xmi:id="_jTKlUMDzEeSlO4e8QG-B1g" name="testcase_1_impl" specification="_lPfV0MD4EeSlO4e8QG-B1g">
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_gHDKcMD6EeSjvrY9JxSQ3g" name="MessageRecv0" covered="_DEXGEMD0EeSlO4e8QG-B1g" message="_gHB8UMD6EeSjvrY9JxSQ3g"/>
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_T4x2wMD6EeSjvrY9JxSQ3g" name="MessageSend" covered="_DEXGEMD0EeSlO4e8QG-B1g" message="_T4wooMD6EeSjvrY9JxSQ3g"/>
-            <fragment xmi:type="uml:BehaviorExecutionSpecification" xmi:id="_RCkeocD6EeSjvrY9JxSQ3g" name="BehaviorExecSpec" covered="_DEXGEMD0EeSlO4e8QG-B1g" finish="_gHDKcMD6EeSjvrY9JxSQ3g" start="_T4x2wMD6EeSjvrY9JxSQ3g"/>
-            <fragment xmi:type="uml:BehaviorExecutionSpecification" xmi:id="_RiBawMD6EeSjvrY9JxSQ3g" name="BehaviorExecSpec0" covered="_0vKiIMDzEeSlO4e8QG-B1g" finish="_gHCjYMD6EeSjvrY9JxSQ3g" start="_T4yd0MD6EeSjvrY9JxSQ3g"/>
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_T4yd0MD6EeSjvrY9JxSQ3g" name="MessageRecv" covered="_0vKiIMDzEeSlO4e8QG-B1g" message="_T4wooMD6EeSjvrY9JxSQ3g"/>
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_gHCjYMD6EeSjvrY9JxSQ3g" name="MessageSend0" covered="_0vKiIMDzEeSlO4e8QG-B1g" message="_gHB8UMD6EeSjvrY9JxSQ3g"/>
-            <lifeline xmi:type="uml:Lifeline" xmi:id="_0vKiIMDzEeSlO4e8QG-B1g" name="SUT" visibility="public" represents="_5o09kMDkEeSlO4e8QG-B1g" coveredBy="_RiBawMD6EeSjvrY9JxSQ3g _T4yd0MD6EeSjvrY9JxSQ3g _gHCjYMD6EeSjvrY9JxSQ3g"/>
-            <lifeline xmi:type="uml:Lifeline" xmi:id="_DEXGEMD0EeSlO4e8QG-B1g" name="ixsEnvironment" represents="_ZZWI4MDlEeSlO4e8QG-B1g" coveredBy="_RCkeocD6EeSjvrY9JxSQ3g _T4x2wMD6EeSjvrY9JxSQ3g _gHDKcMD6EeSjvrY9JxSQ3g"/>
-            <message xmi:type="uml:Message" xmi:id="_T4wooMD6EeSjvrY9JxSQ3g" name="1:Message" connector="_mYgG8MDlEeSlO4e8QG-B1g" receiveEvent="_T4yd0MD6EeSjvrY9JxSQ3g" sendEvent="_T4x2wMD6EeSjvrY9JxSQ3g" signature="_Fn150MDQEeSlO4e8QG-B1g">
-              <argument xmi:type="uml:InstanceValue" xmi:id="_8qhyAMD6EeSjvrY9JxSQ3g" name="request" type="_ct5U0L2uEeSe48NTDZ3Xhg" instance="_c2b9AMD0EeSlO4e8QG-B1g"/>
-              <argument xmi:type="uml:LiteralNull" xmi:id="_ce_V0MZkEeSYR7D_AlByKg" name="response"/>
-            </message>
-            <message xmi:type="uml:Message" xmi:id="_gHB8UMD6EeSjvrY9JxSQ3g" name="2:Message" connector="_mYgG8MDlEeSlO4e8QG-B1g" messageSort="reply" receiveEvent="_gHDKcMD6EeSjvrY9JxSQ3g" sendEvent="_gHCjYMD6EeSjvrY9JxSQ3g" signature="_Fn150MDQEeSlO4e8QG-B1g">
-              <argument xmi:type="uml:InstanceValue" xmi:id="_B_7wcMD7EeSjvrY9JxSQ3g" name="response" type="_ZQ7h4L2yEeSe48NTDZ3Xhg" instance="_iPH48MD0EeSlO4e8QG-B1g"/>
-              <argument xmi:type="uml:LiteralNull" xmi:id="_e3alwMZkEeSYR7D_AlByKg" name="request"/>
-            </message>
-          </ownedBehavior>
-          <ownedOperation xmi:type="uml:Operation" xmi:id="_lPfV0MD4EeSlO4e8QG-B1g" name="testcase_1" method="_jTKlUMDzEeSlO4e8QG-B1g"/>
         </packagedElement>
         <packagedElement xmi:type="uml:Component" xmi:id="_rCusUMDjEeSlO4e8QG-B1g" name="IXSTestEnvironment">
@@ -1765,57 +1678,4 @@
         <packagedElement xmi:type="uml:Component" xmi:id="_0AKlcMdGEeSYR7D_AlByKg" clientDependency="_6cGHEMdGEeSYR7D_AlByKg" name="IXSPOCDPatientPortType"/>
         <packagedElement xmi:type="uml:InterfaceRealization" xmi:id="_6cGHEMdGEeSYR7D_AlByKg" name="Realization1" client="_0AKlcMdGEeSYR7D_AlByKg" supplier="_ErLvEMc4EeSYR7D_AlByKg" contract="_ErLvEMc4EeSYR7D_AlByKg"/>
-        <packagedElement xmi:type="uml:Component" xmi:id="_Nc3pUMdHEeSYR7D_AlByKg" name="IXSTestSuite_2" classifierBehavior="_e_vPoMf2EeSYR7D_AlByKg">
-          <ownedAttribute xmi:type="uml:Property" xmi:id="_Dw-GIMfTEeSYR7D_AlByKg" name="ixsService" visibility="public" type="_DjK-QMDOEeSlO4e8QG-B1g">
-            <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_E2j1MMfTEeSYR7D_AlByKg" value="1"/>
-            <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_E2kcQMfTEeSYR7D_AlByKg" value="1"/>
-            <defaultValue xmi:type="uml:LiteralString" xmi:id="_E2lDUMfTEeSYR7D_AlByKg">
-              <value xsi:nil="true"/>
-            </defaultValue>
-          </ownedAttribute>
-          <ownedAttribute xmi:type="uml:Property" xmi:id="_QElM0MfTEeSYR7D_AlByKg" name="ixsTestEnvironment" type="_rCusUMDjEeSlO4e8QG-B1g"/>
-          <ownedConnector xmi:type="uml:Connector" xmi:id="_WTGkkMfTEeSYR7D_AlByKg" name="IXSPOCDPatientMQConnector">
-            <end xmi:type="uml:ConnectorEnd" xmi:id="_WTHLoMfTEeSYR7D_AlByKg" partWithPort="_QElM0MfTEeSYR7D_AlByKg" role="_B-Za4MdHEeSYR7D_AlByKg">
-              <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_WTHLocfTEeSYR7D_AlByKg" value="1"/>
-              <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_WTHLosfTEeSYR7D_AlByKg" value="1"/>
-            </end>
-            <end xmi:type="uml:ConnectorEnd" xmi:id="_WTHLo8fTEeSYR7D_AlByKg" partWithPort="_Dw-GIMfTEeSYR7D_AlByKg" role="_8DcfYMdGEeSYR7D_AlByKg">
-              <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_WTHLpMfTEeSYR7D_AlByKg" value="1"/>
-              <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_WTHLpcfTEeSYR7D_AlByKg" value="1"/>
-            </end>
-          </ownedConnector>
-          <ownedBehavior xmi:type="uml:Interaction" xmi:id="_e_vPoMf2EeSYR7D_AlByKg" name="ixs_mq_testcase_1" specification="_7DNhcMf2EeSYR7D_AlByKg">
-            <fragment xmi:type="uml:BehaviorExecutionSpecification" xmi:id="_LEivsMf6EeSYR7D_AlByKg" name="BehaviorExecSpec0" finish="_TS-wwMf6EeSYR7D_AlByKg" start="_O1vwccf6EeSYR7D_AlByKg"/>
-            <fragment xmi:type="uml:BehaviorExecutionSpecification" xmi:id="_KV2dsMf6EeSYR7D_AlByKg" name="BehaviorExecSpec" finish="_TS_X0Mf6EeSYR7D_AlByKg" start="_O1vwcMf6EeSYR7D_AlByKg"/>
-            <fragment xmi:type="uml:BehaviorExecutionSpecification" xmi:id="_vTPWgcf6EeSYR7D_AlByKg" name="BehaviorExecSpec1" finish="_3dkTocf6EeSYR7D_AlByKg" start="_ydwxwMf6EeSYR7D_AlByKg"/>
-            <fragment xmi:type="uml:BehaviorExecutionSpecification" xmi:id="_v3tVgcf6EeSYR7D_AlByKg" name="BehaviorExecSpec2" finish="_3dkToMf6EeSYR7D_AlByKg" start="_ydxY0Mf6EeSYR7D_AlByKg"/>
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_O1vwcMf6EeSYR7D_AlByKg" name="MessageSend" message="_O1vJYMf6EeSYR7D_AlByKg"/>
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_O1vwccf6EeSYR7D_AlByKg" name="MessageRecv" message="_O1vJYMf6EeSYR7D_AlByKg"/>
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_TS-wwMf6EeSYR7D_AlByKg" name="MessageSend0" message="_TS-JsMf6EeSYR7D_AlByKg"/>
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_TS_X0Mf6EeSYR7D_AlByKg" name="MessageRecv0" message="_TS-JsMf6EeSYR7D_AlByKg"/>
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_ydwxwMf6EeSYR7D_AlByKg" name="MessageSend1" message="_ydwKsMf6EeSYR7D_AlByKg"/>
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_ydxY0Mf6EeSYR7D_AlByKg" name="MessageRecv1" message="_ydwKsMf6EeSYR7D_AlByKg"/>
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_3dkToMf6EeSYR7D_AlByKg" name="MessageSend2" message="_3djskMf6EeSYR7D_AlByKg"/>
-            <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_3dkTocf6EeSYR7D_AlByKg" name="MessageRecv2" message="_3djskMf6EeSYR7D_AlByKg"/>
-            <lifeline xmi:type="uml:Lifeline" xmi:id="_cF8ikMf3EeSYR7D_AlByKg" name="environment" represents="_ZZWI4MDlEeSlO4e8QG-B1g"/>
-            <lifeline xmi:type="uml:Lifeline" xmi:id="_eWvggMf3EeSYR7D_AlByKg" name="ixsService" represents="_5o09kMDkEeSlO4e8QG-B1g"/>
-            <message xmi:type="uml:Message" xmi:id="_O1vJYMf6EeSYR7D_AlByKg" name="1:createIdentityFromEntity" receiveEvent="_O1vwccf6EeSYR7D_AlByKg" sendEvent="_O1vwcMf6EeSYR7D_AlByKg" signature="_Op1wkMc4EeSYR7D_AlByKg">
-              <argument xmi:type="uml:InstanceValue" xmi:id="_hmFqAMf6EeSYR7D_AlByKg" name="request" type="_rYkCEMZ4EeSYR7D_AlByKg" instance="_mtY8AMfvEeSYR7D_AlByKg"/>
-              <argument xmi:type="uml:LiteralNull" xmi:id="_jLwnUMf6EeSYR7D_AlByKg" name="response"/>
-            </message>
-            <message xmi:type="uml:Message" xmi:id="_TS-JsMf6EeSYR7D_AlByKg" name="2:createEntityFromEntity_reply" messageSort="reply" receiveEvent="_TS_X0Mf6EeSYR7D_AlByKg" sendEvent="_TS-wwMf6EeSYR7D_AlByKg" signature="_Op1wkMc4EeSYR7D_AlByKg">
-              <argument xmi:type="uml:InstanceValue" xmi:id="_lwTnsMf6EeSYR7D_AlByKg" name="response" type="_nUTF8MZ5EeSYR7D_AlByKg" instance="_caPCcMf1EeSYR7D_AlByKg"/>
-              <argument xmi:type="uml:LiteralNull" xmi:id="_m3w_AMf6EeSYR7D_AlByKg" name="request"/>
-            </message>
-            <message xmi:type="uml:Message" xmi:id="_ydwKsMf6EeSYR7D_AlByKg" name="3:createIdentityFromEntity2" receiveEvent="_ydxY0Mf6EeSYR7D_AlByKg" sendEvent="_ydwxwMf6EeSYR7D_AlByKg" signature="_Op1wkMc4EeSYR7D_AlByKg">
-              <argument xmi:type="uml:InstanceValue" xmi:id="_CE10UMf7EeSYR7D_AlByKg" name="request" type="_rYkCEMZ4EeSYR7D_AlByKg" instance="_mtY8AMfvEeSYR7D_AlByKg"/>
-              <argument xmi:type="uml:LiteralNull" xmi:id="_DRWDsMf7EeSYR7D_AlByKg" name="response"/>
-            </message>
-            <message xmi:type="uml:Message" xmi:id="_3djskMf6EeSYR7D_AlByKg" name="createIdentityFromEntity2_reply" messageSort="reply" receiveEvent="_3dkTocf6EeSYR7D_AlByKg" sendEvent="_3dkToMf6EeSYR7D_AlByKg" signature="_Op1wkMc4EeSYR7D_AlByKg">
-              <argument xmi:type="uml:InstanceValue" xmi:id="_GHzTcMf7EeSYR7D_AlByKg" name="response" type="_nUTF8MZ5EeSYR7D_AlByKg" instance="_jVpVYMf1EeSYR7D_AlByKg"/>
-              <argument xmi:type="uml:LiteralNull" xmi:id="_IKeV0Mf7EeSYR7D_AlByKg" name="request"/>
-            </message>
-          </ownedBehavior>
-          <ownedOperation xmi:type="uml:Operation" xmi:id="_7DNhcMf2EeSYR7D_AlByKg" name="ixs_mq_testcase_1" method="_e_vPoMf2EeSYR7D_AlByKg"/>
-        </packagedElement>
       </packagedElement>
     </packagedElement>
@@ -1843,14 +1703,6 @@
   <utp:SUT xmi:id="_kqUhwKDDEeSR_swKuhjZ_A" base_Property="_Heb2YKDDEeSR_swKuhjZ_A"/>
   <utp:TestComponent xmi:id="_pKr5IKDEEeSR_swKuhjZ_A" base_StructuredClassifier="_JyRr0KDEEeSR_swKuhjZ_A"/>
-  <utp:TestCase xmi:id="_aaC9kLzXEeSu8bCjKN8_hw" base_Operation="_R78v4LzXEeSu8bCjKN8_hw"/>
   <utp:TestContext xmi:id="_m_364MDjEeSlO4e8QG-B1g" base_BehavioredClassifier="_awaUYMDjEeSlO4e8QG-B1g" base_StructuredClassifier="_awaUYMDjEeSlO4e8QG-B1g"/>
   <utp:TestComponent xmi:id="_vLsFwMDjEeSlO4e8QG-B1g" base_StructuredClassifier="_rCusUMDjEeSlO4e8QG-B1g"/>
   <utp:SUT xmi:id="_K06PEMDlEeSlO4e8QG-B1g" base_Property="_5o09kMDkEeSlO4e8QG-B1g"/>
-  <utp:TestCase xmi:id="_qo_KEMD4EeSlO4e8QG-B1g" base_Operation="_lPfV0MD4EeSlO4e8QG-B1g"/>
-  <utp:TestContext xmi:id="_JnER4MdGEeSYR7D_AlByKg" base_BehavioredClassifier="_Db-BkMdGEeSYR7D_AlByKg" base_StructuredClassifier="_Db-BkMdGEeSYR7D_AlByKg"/>
-  <utp:TestContext xmi:id="_XlOZYMdHEeSYR7D_AlByKg" base_BehavioredClassifier="_Nc3pUMdHEeSYR7D_AlByKg" base_StructuredClassifier="_Nc3pUMdHEeSYR7D_AlByKg"/>
-  <utp:SUT xmi:id="_KMWqoMfSEeSYR7D_AlByKg" base_Property="_Y1zcwMfREeSYR7D_AlByKg"/>
-  <utp:SUT xmi:id="_LQUMkMfTEeSYR7D_AlByKg" base_Property="_Dw-GIMfTEeSYR7D_AlByKg"/>
-  <utp:TestCase xmi:id="_PTNP4Mf3EeSYR7D_AlByKg" base_Operation="_7DNhcMf2EeSYR7D_AlByKg"/>
-  <utp:TestCase xmi:id="_H-H3sMgCEeSYR7D_AlByKg" base_Operation="_si1AMMgBEeSYR7D_AlByKg"/>
 </xmi:XMI>
